Subject: bug#32520: 26.1; problem with CIFS mounts

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Aug 2018 22:31:51 +0300

> From: [email-masked]
> Date: Fri, 24 Aug 2018 09:24:45 -0700
> 
> I automount windows shares under a common mountpoint, say /cifs.
> 
> When I cd to or references something like:
>   /cifs/<host>/<share>/path/to/file_or_dir
> the windows share is mounted on
>   /cifs/<host>/<share>
> and the process can get to .../path/to/file_or_dir.
> 
> When I visit one of those directories with emacs 26 (maybe
> also files on that share), I get a bunch of syslog warnings
> from the CIFS subsystem.
> 
> Sometimes they just say:
> 
>   [608270.512407] CIFS VFS: BAD_NETWORK_NAME: \\host\.dir-locals-2.el
>   [608270.512744] CIFS VFS: cifs_mount failed w/return code = -2
>   [608270.517939] CIFS VFS: BAD_NETWORK_NAME: \\host\.dir-locals.el
>   [608270.518326] CIFS VFS: cifs_mount failed w/return code = -2

I guess Emacs tries to go up the directory tree too far, it should
stop at /cifs/<host>/<share/.  But how should it know it isn't
supposed to go up from /cifs/<host>/<share/ ?

> It is clogging my syslog with bogus messages, as I do visit
> lots of files and directories on remote windows share every
> day.

Does it cause any other trouble?